Subject: Re: Friendly refspecs

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Apr 2008 13:03:22 -0700

Daniel Barkalow <[email-masked]> writes:

> I was only working on making "HEAD" expand to HEAD:<current branch>. I 
> think that the matching type is only most likely what you want, not 
> certainly enough to just do it. I'd say that push should suggest it, but 
> not actually do it automatically, or possibly require -f to do it without 
> the full name.

Hmm.  `-f` means "I know there are the ones that do not fast forward but I
want them updated", which is quite a different thing.  I'd say either we
should just do it, or we don't, and keep `-f` orthogonal to the ref
dwimming.